Summary: CPU frequency scaling daemon
Name: cpufreqd
Version: 1.2.3
Release: alt2
License: GPL
Group: System/Kernel and hardware
Source: %name-%version.tar.gz
Source1: %name.init
Source2: %name.conf-2.4
Source3: %name.conf-2.6

Url: http://sourceforge.net/projects/cpufreqd/

Requires: lib%name = %version-%release

BuildRequires: gcc-c++ hostinfo libstdc++-devel

%description
cpufreqd is meant to be a replacement of the speedstep applet you
can find on some other OS, it monitors battery level, AC state and
running programs and adjusts the frequency of the processor according to
a set of rules specified in the config file (see cpufreqd.conf (5)).

It works only a kernel patched with the cpufreq patch.
You also need a supported processor, often found in laptop computer.

%package -n lib%name
Summary: Libraries for cpufreqd
Group: System/Libraries
Requires: %name = %version-%release

%description -n lib%name
This packages contains some library needed by cpufreqd.

%prep
%setup -q

perl -pi -e "s|-o root -g root ||g" Makefile.in

%build
%configure
%make

%install
%makeinstall

%__install -d %buildroot%_initdir
%__install %SOURCE1 %buildroot%_initdir/%name
%__install -m640 %SOURCE2 %buildroot%_sysconfdir/%name.conf-2.4
%__install -m640 %SOURCE3 %buildroot%_sysconfdir/%name.conf-2.6

%post
%post_service cpufreqd

%preun
%preun_service cpufreqd

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%doc AUTHORS COPYING INSTALL README TODO ChangeLog examples
%_sbindir/*
%attr(640,root,root) %config(noreplace) %_sysconfdir/%name.conf-2.4
%attr(640,root,root) %config(noreplace) %_sysconfdir/%name.conf-2.6
%_initdir/%name
%_mandir/man?/*

%files -n lib%name
%_libdir/*

%changelog
* Mon Jun 27 2005 Alexey Shabalin <shaba@altlinux.ru> 1.2.3-alt2
- fix init script (#7007)

* Tue May 24 2005 Alexey Shabalin <shaba@altlinux.ru> 1.2.3-alt1
- update 1.2.3 

* Mon Apr 25 2005 Alexey Shabalin <shaba@altlinux.ru> 1.2.2-alt1
- update cpufreqd-1.1.2 
- add two config files cpufregd.conf-2.4 and cpufreqd.conf-2.6
- autoselect config file for 2.4 or 2.6 kernel

* Sun Oct 03 2004 Alexey Shabalin <shaba@altlinux.ru> 1.2.0-alt1
- new version 1.2.0 

* Mon Mar 15 2004 Alexey Shabalin <shaba@altlinux.ru> 1.1.2-alt1
- update cpufreqd-1.1.2 
- remove /etc/sysconfig/cpufreqd
- update init scripts 

* Wed Jan 07 2004 Alexey Shabalin <shaba@altlinux.ru> 1.1-alt1
- initial release

